update_changelog:
  stage: deploy
  tags:
    - ci.inria.fr
    - linux
    - small
  image: alpine:latest
  rules:
    - if: '$CI_COMMIT_TAG =~ /^v?\d+\.\d+\.\d+$/'
  script:
    - apk add curl
    - 'curl -H "PRIVATE-TOKEN: ${PROJECT_TOKEN}" --fail-with-body --data "message=Add changelog for version $CI_COMMIT_TAG [ci skip]" -X POST "$CI_API_V4_URL/projects/$CI_PROJECT_ID/repository/changelog?version=$CI_COMMIT_TAG"'
